Solved

Patches for Exchange 2010 SP1 Upgrade

Posted on 2011-02-21
12
7,885 Views
Last Modified: 2016-06-13
Hello,
I am trying to upgrade my Exchange 2010 server to SP1 but it keeps telling me that I need to apply patches that are not there. My Windows 2008 Server is at SP2 and it is current on updates. All available updates have been applied and Windows Update says no more are available.

I applied the Exchange 2010 Rollup 5. When I run Exchange 2010 SP1 i am told to go to the following articles and download teh updates. When I go to the article the article says that the reference does not exist. I tried to request and update and my option is to choose one for Vista.

Where are the updates I need? Upgrading Exchange 2010 is nearly as frustrating as installing it for the first time.

Summary: 6 item(s). 3 succeeded, 2 failed.
Elapsed time: 00:01:32


Configuring Prerequisites
Completed

Elapsed Time: 00:00:01


Organization Prerequisites
Completed

Elapsed Time: 00:00:38


Languages Prerequisites
Completed

Elapsed Time: 00:00:03


Hub Transport Role Prerequisites
Failed

Error:
This computer requires the update described in Microsoft Knowledge Base articles 977624 (http://support.microsoft.com/?kbid=977624). Without this update, the RMS features may stop working.
Click here for help... http://technet.microsoft.com/en-US/library/ms.exch.err.default(EXCHG.141).aspx?v=14.1.218.11&e=ms.exch.err.Ex28883C&l=0&cl=cp

Warning:
Setup cannot detect an SMTP or Send connector with an address space of '*'. Mail flow to the Internet may not work properly.


Elapsed Time: 00:00:30


Client Access Role Prerequisites
Failed

Error:
Install hotfix Microsoft Knowledge Base article 982867 from http://code.msdn.microsoft.com/KB982867.
Click here for help... http://technet.microsoft.com/en-US/library/ms.exch.err.default(EXCHG.141).aspx?v=14.1.218.11&e=ms.exch.err.Ex28883C&l=0&cl=cp

Error:
This computer requires the update described in Microsoft Knowledge Base article 979744 (http://go.microsoft.com/fwlink/?linkid=3052&kbid=979744). Please install the required update to proceed.
Click here for help... http://technet.microsoft.com/en-US/library/ms.exch.err.default(EXCHG.141).aspx?v=14.1.218.11&e=ms.exch.err.Ex28883C&l=0&cl=cp

Error:
Install hotfix Microsoft Knowledge Base article 979917 from http://code.msdn.microsoft.com/KB979917.
Click here for help... http://technet.microsoft.com/en-US/library/ms.exch.err.default(EXCHG.141).aspx?v=14.1.218.11&e=ms.exch.err.Ex28883C&l=0&cl=cp

Error:
This computer requires the update described in Microsoft Knowledge Base article 973136 (http://support.microsoft.com/kb/973136). Please install the required update to proceed.
Click here for help... http://technet.microsoft.com/en-US/library/ms.exch.err.default(EXCHG.141).aspx?v=14.1.218.11&e=ms.exch.err.Ex28883C&l=0&cl=cp

Error:
This computer requires the update described in Microsoft Knowledge Base articles 977624 (http://support.microsoft.com/?kbid=977624). Without this update, the RMS features may stop working.
Click here for help... http://technet.microsoft.com/en-US/library/ms.exch.err.default(EXCHG.141).aspx?v=14.1.218.11&e=ms.exch.err.Ex28883C&l=0&cl=cp

Error:
This computer requires the update described in Microsoft Knowledge Base article KB977592 (http://go.microsoft.com/fwlink/?LinkId=194843). Without this update, the Outlook Anywhere feature may work unreliably.
Click here for help... http://go.microsoft.com/fwlink/?linkid=30939&l=en&v=ExBPA.14&id=249bbd89-16b4-4efa-9b66-7ec87f90e44c

Elapsed Time: 00:00:12


Mailbox Role Prerequisites


Elapsed Time: 00:00:06

0
Comment
Question by:jhieb
12 Comments
 
LVL 14

Expert Comment

by:Schnell Solutions
Comment Utility

The error point to the specific links where you need to go. Enter to all these URLs and download the correct update according to the operating system that you have. If you are using Windows Server 2008 SP2, you need to download the updates that are for Windows Server 2008. If oyu are using Windows Server 2008 R2, you need to download the updates that are for Windows Server 2008R2

Be aware that in some of these links you need to click on the download tab of the web page. But just following the online process of each website you will be able to download these necessary updates


http://technet.microsoft.com/en-US/library/ms.exch.err.default(EXCHG.141).aspx?v=14.1.218.11&e=ms.exch.err.Ex28883C&l=0&cl=cp

http://technet.microsoft.com/en-US/library/ms.exch.err.default(EXCHG.141).aspx?v=14.1.218.11&e=ms.exch.err.Ex28883C&l=0&cl=cp

Click here for help... http://technet.microsoft.com/en-US/library/ms.exch.err.default(EXCHG.141).aspx?v=14.1.218.11&e=ms.exch.err.Ex28883C&l=0&cl=cp

http://technet.microsoft.com/en-US/library/ms.exch.err.default(EXCHG.141).aspx?v=14.1.218.11&e=ms.exch.err.Ex28883C&l=0&cl=cp

http://technet.microsoft.com/en-US/library/ms.exch.err.default(EXCHG.141).aspx?v=14.1.218.11&e=ms.exch.err.Ex28883C&l=0&cl=cp

http://go.microsoft.com/fwlink/?linkid=30939&l=en&v=ExBPA.14&id=249bbd89-16b4-4efa-9b66-7ec87f90e44c
0
 
LVL 14

Accepted Solution

by:
Schnell Solutions earned 500 total points
Comment Utility

I have notice that some of these links in the error are broken, here are the direct ones for each update:
(Go ahead with this one, I didn't check all of them in the previous comment)

KB982867
http://support.microsoft.com/hotfix/KBHotfix.aspx?kbnum=977624&kbln=en-us

KB979744
http://archive.msdn.microsoft.com/KB979744
(Here you need to click the Download tab and them select the correct version: 64bits and correct OS version)

KB979917
http://archive.msdn.microsoft.com/KB979917/Release/ProjectReleases.aspx?ReleaseId=4033

KB973136
http://archive.msdn.microsoft.com/KB973136

KB977624
http://support.microsoft.com/hotfix/KBHotfix.aspx?kbnum=977624&kbln=en-us

KB977592
http://support.microsoft.com/hotfix/KBHotfix.aspx?kbnum=977592&kbln=en-us


0
 
LVL 1

Author Comment

by:jhieb
Comment Utility
Thanks. I had already tried this, and found just a few that gave me a download page. Most of them tell me to look at the system that the patches/hotfixes apply to and when i query them it gives me Windows Vista as my only OS choice. I even decided to load a Windows Vista version (dangerous) but fortunately it knew not to install. I am still at an impasse as to where I need to get the hotfixes these links refer to.
0
 
LVL 14

Assisted Solution

by:Schnell Solutions
Schnell Solutions earned 500 total points
Comment Utility

Hey,

In these websites that doesn't appear the version for Windows Server 2008. You can use the patch for Vista, it is normal since Windows 2008 and Windows Vista share the same kernel. The same with Windows 2008 R2 and Windows 7

Download the Vista version and install it to Windows 2008 SP2, this is part of the process with some of these updates

0
 
LVL 1

Author Closing Comment

by:jhieb
Comment Utility
I am so frustrated by these hotfixes and updates. Why couldn't they just include them in the service pack? If the installation will not continue then just install it! That would have saved me plenty of time. I had the same darned thing happen during my first install. No other Microsoft update or version of Exchange behaved this way. Thanks for your help. I am on my last hotfix and my last reboot. Theoretically, it should do it now.
0
 
LVL 14

Expert Comment

by:Schnell Solutions
Comment Utility
It is that these updates belong to the operating system, not to Exchange. But unfortunately Exchange SP1 needs them

0
6 Surprising Benefits of Threat Intelligence

All sorts of threat intelligence is available on the web. Intelligence you can learn from, and use to anticipate and prepare for future attacks.

 
LVL 1

Author Comment

by:jhieb
Comment Utility
It is still ironic. This is Microsoft's Operating System and Microsoft's Exchange. If they know it is required then they know what to do.
0
 

Expert Comment

by:techie06
Comment Utility
I installed all the patches except for 977592 and 977624, because they are for x86 and and I am running Server 2008 x64.  I am still getting these errors:

Summary: 6 item(s). 3 succeeded, 3 failed.
Elapsed time: 00:00:41


Configuring Prerequisites
Completed

Elapsed Time: 00:00:01


Organization Prerequisites
Completed

Warning:
Setup is going to prepare the organization for Exchange 2010 by using 'Setup /PrepareAD'. No Exchange 2007 server roles have been detected in this topology. After this operation, you will not be able to install any Exchange 2003 or Exchange 2007 servers.


Elapsed Time: 00:00:11


Languages Prerequisites
Completed

Elapsed Time: 00:00:02


Hub Transport Role Prerequisites
Failed

Error:
This computer requires the update described in Microsoft Knowledge Base articles 977624 (http://support.microsoft.com/?kbid=977624). Without this update, the RMS features may stop working.
Click here for help... http://technet.microsoft.com/en-US/library/ms.exch.err.default(EXCHG.141).aspx?v=14.1.218.11&e=ms.exch.err.Ex28883C&l=0&cl=cp

Warning:
Installing Exchange Server on a domain controller will elevate the privileges for Exchange Trusted Subsystem to domain administrators.


Elapsed Time: 00:00:11


Client Access Role Prerequisites
Failed

Error:
This computer requires the update described in Microsoft Knowledge Base articles 977624 (http://support.microsoft.com/?kbid=977624). Without this update, the RMS features may stop working.
Click here for help... http://technet.microsoft.com/en-US/library/ms.exch.err.default(EXCHG.141).aspx?v=14.1.218.11&e=ms.exch.err.Ex28883C&l=0&cl=cp

Error:
This computer requires the update described in Microsoft Knowledge Base article KB977592 (http://go.microsoft.com/fwlink/?LinkId=194843). Without this update, the Outlook Anywhere feature may work unreliably.
Click here for help... http://go.microsoft.com/fwlink/?linkid=30939&l=en&v=ExBPA.14&id=249bbd89-16b4-4efa-9b66-7ec87f90e44c

Warning:
Installing Exchange Server on a domain controller will elevate the privileges for Exchange Trusted Subsystem to domain administrators.


Elapsed Time: 00:00:06


Mailbox Role Prerequisites
Failed

Error:
This computer requires the update described in Microsoft Knowledge Base articles 977624 (http://support.microsoft.com/?kbid=977624). Without this update, the RMS features may stop working.
Click here for help... http://technet.microsoft.com/en-US/library/ms.exch.err.default(EXCHG.141).aspx?v=14.1.218.11&e=ms.exch.err.Ex28883C&l=0&cl=cp

Warning:
Installing Exchange Server on a domain controller will elevate the privileges for Exchange Trusted Subsystem to domain administrators.


Elapsed Time: 00:00:07

0
 
LVL 1

Author Comment

by:jhieb
Comment Utility
Make a list of all the paths it asks of you. Then, download the patches whether they are for Vista or anything else. Run all the patches, and if it is supposed to be on your system then it will install. If it is not supposed to be on your system then it will tell you. That's what I had to do, and I finally was able to upgrade. You may find patches that you have to request. Request them and the link will be emailed to you within a minute or two.
0
 

Expert Comment

by:aarontheyoung1
Comment Utility
I am having the same problems.  I'm going handle this one error at a time.

My first error:

When Exchange does readiness checks, my Hub Transport Role Prerequisites FAIL.  It says the computer requires "the update described in Microsoft Knowledge Base articles 977624 (http://support.microsoft.com/?kbid=977624). Without this update, the RMS features may stop working."

I proceed to:
http://support.microsoft.com/?kbid=977624 and on this web page it has only the option to request a Vista fix.  There are notes saying that this is the SAME fix required for Windows Server 2008.

I make the request
I get a link in my e-mail,
I download the fix using the link and get a file called "399943 intl i386 zip.exe"
I run the download and it extracts another file called "Windows6.0-KB977624-v2-x86.msu" and this updater tells me, "The update does not apply to your system"

DUH!

Thanks for nothing Microsoft.  I would appreciate any help solving this error.

Aaron
  ~

0
 
LVL 1

Author Comment

by:jhieb
Comment Utility
Please open a new question. When you open a new question it gives all the Experts and opportunity to respond, and they receive points for their answers. No points can be awarded by posting on a closed thread. There are many good Experts on here that can help you trace this problem, and help you resove it.
0
 
LVL 14

Expert Comment

by:Schnell Solutions
Comment Utility
Were you able to install this path sucessfully?

KB977624
http://support.microsoft.com/hotfix/KBHotfix.aspx?kbnum=977624&kbln=en-us


0

Featured Post

What Security Threats Are You Missing?

Enhance your security with threat intelligence from the web. Get trending threat insights on hackers, exploits, and suspicious IP addresses delivered to your inbox with our free Cyber Daily.

Join & Write a Comment

Not sure what the best email signature size is? Are you worried about email signature image size? Follow this best practice guide.
Local Continuous Replication is a cost effective and quick way of backing up Exchange server data. The following article describes the steps required to configure Local Continuous Replication. Also, the article tells you how to restore from a backup…
This tutorial will give a an overview on how to deploy remote agents in Backup Exec 2012 to new servers. Click on the Backup Exec button in the upper left corner. From here, are global settings for the application such as connecting to a remote Back…
This tutorial will show how to configure a new Backup Exec 2012 server and move an existing database to that server with the use of the BEUtility. Install Backup Exec 2012 on the new server and apply all of the latest hotfixes and service packs. The…

744 members asked questions and received personalized solutions in the past 7 days.

Join the community of 500,000 technology professionals and ask your questions.

Join & Ask a Question

Need Help in Real-Time?

Connect with top rated Experts

18 Experts available now in Live!

Get 1:1 Help Now